package com.yfd.platform.component.iec104.server.handler;

import com.yfd.platform.component.iec104.message.MessageDetail;

/**
 *
 * @ClassName:  DataHandler
 * @Description:  数据处理
 * @author: YDL
 * @date:   2020年5月19日 上午11:27:04
 */
public interface DataHandler {

	/**
	 * @param ctx
	 * @throws Exception
	 * @Title: handlerAdded
	 * @Description: 建立连接
	 */
	void handlerAdded(ChannelHandler ctx) throws Exception;

	/**
	 * @param ctx
	 * @param ruleDetail104
	 * @throws Exception
	 * @Title: channelRead0
	 * @Description: 收到消息
	 */
	void channelRead(ChannelHandler ctx, MessageDetail ruleDetail104) throws Exception;
}


