package com.yfd.platform.modules.algorithm.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_algorithm_logs")
public class AlgorithmLogs implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 算法分类id
     */
    private String algorithmId;

    /**
     * 变电站编号
     */
    private String stationCode;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 区域id
     */
    private String areaId;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 间隔id
     */
    private String bayId;

    /**
     * 间隔名称
     */
    private String bayName;

    /**
     * 主设备id
     */
    private String mainDeviceId;

    /**
     * 主设备类型
     */
    private String deviceType;

    /**
     * 主设备名称
     */
    private String mainDeviceName;

    /**
     * 部件id
     */
    private String componentId;

    /**
     * 部件名称
     */
    private String componentName;

    /**
     * 参数详情；json格式：{key1:value1,key2:value2....}
     */
    private String paramsValue;

    /**
     * 分析结果
     */
    private String analysisResult;

    /**
     * 分析时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime analysisTime;


}
