package com.yfd.platform.modules.basedata.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @Date: 2024/4/18 15:10
 * @Description:
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
public class TreeNode {

    private String id;
    private String name;
    private List<TreeNode> children = new ArrayList<>();

    public TreeNode(String id, String name) {
        this.id = id;
        this.name = name;
    }
}
