package com.yfd.platform.modules.basedata.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yfd.platform.modules.basedata.domain.Substation;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 变电站 Mapper 接口
 * </p>
 *
 *
 * @since 2023-03-28
 */
public interface SubstationMapper extends BaseMapper<Substation> {
    @Select(value = {"<script>" +
            " SELECT * FROM iis_substation where station_code=#{stationcode} or node_id=#{stationcode}"+
            " </script>"})
    List<Substation> selectByStaionCode(String stationcode);
}
