package com.yfd.platform.modules.basedata.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yfd.platform.modules.basedata.domain.AlarmThreshold;
import com.yfd.platform.modules.basedata.mapper.AlarmThresholdMapper;
import com.yfd.platform.modules.basedata.service.IAlarmThresholdService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhengsl
 * @since 2024-04-16
 */
@Service
public class AlarmThresholdServiceImpl extends ServiceImpl<AlarmThresholdMapper, AlarmThreshold> implements IAlarmThresholdService {

    @Resource
    private AlarmThresholdMapper alarmThresholdMapper;
    @Override
    public Map<String, String> getThresholdInterval(String deviceId) {
       return alarmThresholdMapper.getThresholdInterval(deviceId);
    }
}
