package com.yfd.platform.modules.basedata.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yfd.platform.modules.basedata.domain.SubstationComponent;
import com.yfd.platform.modules.basedata.mapper.SubstationComponentMapper;
import com.yfd.platform.modules.basedata.service.ISubstationComponentService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 变电站_设备部件 服务实现类
 * </p>
 *
 *
 * @since 2023-03-28
 */
@Service
public class SubstationComponentServiceImpl extends ServiceImpl<SubstationComponentMapper, SubstationComponent> implements ISubstationComponentService {

    @Resource
    private SubstationComponentMapper substationComponentMapper;
    @Override
    public Page<Map<String, Object>> getComponentByBayPage(Page<Map<String, Object>> page, String algorithmId,
                                                           String stationCode, String areaId, String bayId,
                                                           String mainDeviceId, String componentName) {
        return substationComponentMapper.getComponentByBayPage(page, algorithmId,
                stationCode, areaId, bayId, mainDeviceId,
                componentName);
    }
}
