package com.yfd.platform.modules.basedata.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yfd.platform.modules.basedata.domain.DeviceChannel;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备下的通道信息(每个设备查看视频的主要信息表)
 Mapper 接口
 * </p>
 *
 *
 * @since 2023-04-21
 */
public interface DeviceChannelMapper extends BaseMapper<DeviceChannel> {

    List<Map<String, Object>> selectDeviceByCode(String codes);

}
