package com.yfd.platform.modules.robotapi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2024-06-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_platform_parent_system")
public class PlatformParentSystem implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * guid
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;


    /**
     * 变电站编码
     */
    private String stationCode;

    /**
     * 主站编码
     */
    private String parentCode;

    /**
     * 主站名称
     */
    private String parentName;

    /**
     * 子站编码
     */
    private String childCode;

    /**
     * 主站ip
     */
    private String serverIp;

    /**
     * 主站端口
     */
    private String serverPort;

    /**
     * 协议版本号
     */
    private String serverVersion;

    /**
     * ftpip地址
     */
    private String ftpIp;

    /**
     * ftp端口号
     */
    private String ftpPort;

    /**
     * ftp用户名
     */
    private String ftpUser;

    /**
     * ftp密码
     */
    private String ftpPassword;

    /**
     * 默认0；0：显示；1：隐式
     */
    private String ftpType;

    /**
     * 链接状态，默认0；0：未连接；1：已连接
     */
    private String isFlag;

    /**
     * 是否启用；0：禁用；1：启用
     */
    private String isEnable;

    /**
     * 备注
     */
    private String comment;

    /**
     * 创建时间
     */
    private String createDate;


}
