package com.yfd.platform.modules.robotapi.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 巡视主机与变电站边缘节点数据同步日志
 * </p>
 *
 *
 * @since 2023-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_stationnode_translog")
public class StationnodeTranslog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 变电站编号
     */
    private String stationCode;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 传输时间
     */
    private Timestamp transTime;

    /**
     * 传输信息类型
     */
    private String transtype;

    /**
     * 传输信息描述
     */
    private String transdesc;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
